/*
 * Copyright (c) 1997-1998 Borland International, Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by Borland as part
 * of a Borland product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of Borland.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD BORLAND, ITS RELATED
 * COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY CLAIMS
 * OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR DISTRIBUTION
 * OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES ARISING OUT OF
 * OR RESULTING FROM THE USE, MODIFICATION, OR DISTRIBUTION OF PROGRAMS
 * OR FILES CREATED FROM, BASED ON, AND/OR DERIVED FROM THIS SOURCE
 * CODE FILE.
 */
//--------------------------------------------------------------------------------------------------
// Copyright (c) 1996-1998 Borland International, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------------------------

package borland.jbcl.control;

import borland.jbcl.util.BasicBeanInfo;

public class CheckboxPanelBeanInfo extends BasicBeanInfo implements java.io.Serializable
{
  public CheckboxPanelBeanInfo() {
    beanClass = CheckboxPanel.class;
    propertyDescriptors = new String[][] {
      {"background",    Res.getString(Res.BI_background), "getBackground", "setBackground"},
      {"bevelInner",    Res.getString(Res.BI_BevelPanel_bevelInner), "getBevelInner", "setBevelInner", borland.jbcl.editors.BevelTypeEditor.class.getName()},
      {"bevelOuter",    Res.getString(Res.BI_BevelPanel_bevelOuter), "getBevelOuter", "setBevelOuter", borland.jbcl.editors.BevelTypeEditor.class.getName()},
      {"enabled",       Res.getString(Res.BI_enabled), "isEnabled", "setEnabled"},
      {"font",          Res.getString(Res.BI_font), "getFont", "setFont"},
      {"foreground",    Res.getString(Res.BI_foreground), "getForeground", "setForeground"},
      {"grouped",       Res.getString(Res.BI_CheckboxPanel_grouped), "isGrouped", "setGrouped"},
      {"labels",        Res.getString(Res.BI_labels), "getLabels", "setLabels"},
      {"margins",       Res.getString(Res.BI_margins), "getMargins", "setMargins"},
      {"orientation",   Res.getString(Res.BI_orientation), "getOrientation", "setOrientation", borland.jbcl.editors.OrientationEditor.class.getName()},
      {"selectedIndex", Res.getString(Res.BI_CheckboxPanel_selected), "getSelectedIndex", "setSelectedIndex"},
      {"selectedLabel", Res.getString(Res.BI_CheckboxPanel_selected), "getSelectedLabel", "setSelectedLabel"},
      {"selectedLabels", Res.getString(Res.BI_CheckboxPanel_selectedLabels), "getSelectedLabels", "setSelectedLabels"},
      {"soft",          Res.getString(Res.BI_BevelPanel_soft), "isSoft", "setSoft"},
      {"textureName",   Res.getString(Res.BI_texture), "getTextureName", "setTextureName", borland.jbcl.editors.FileNameEditor.class.getName()},
      {"toolTipText",   Res.getString(Res.BI_toolTipText), "getToolTipText", "setToolTipText"},
      {"visible",       Res.getString(Res.BI_visible), "isVisible", "setVisible"},
    };
  }
}
