/*
 * Copyright (c) 1997-1998 Borland International, Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by Borland as part
 * of a Borland product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of Borland.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD BORLAND, ITS RELATED
 * COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY CLAIMS
 * OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR DISTRIBUTION
 * OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES ARISING OUT OF
 * OR RESULTING FROM THE USE, MODIFICATION, OR DISTRIBUTION OF PROGRAMS
 * OR FILES CREATED FROM, BASED ON, AND/OR DERIVED FROM THIS SOURCE
 * CODE FILE.
 */
//--------------------------------------------------------------------------------------------------
// Copyright (c) 1996-1998 Borland International, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------------------------

package borland.jbcl.control;

import borland.jbcl.util.BasicBeanInfo;

public class ImageControlBeanInfo extends BasicBeanInfo implements java.io.Serializable
{
  public ImageControlBeanInfo() {
    beanClass = ImageControl.class;
    propertyDescriptors = new String[][] {
      {"alignment",   Res.getString(Res.BI_alignment), "getAlignment", "setAlignment", borland.jbcl.editors.AlignmentEditor.class.getName()},
      {"background",  Res.getString(Res.BI_background), "getBackground", "setBackground"},
      {"columnName",  Res.getString(Res.BI_columnName), "getColumnName", "setColumnName", "borland.jbuilder.cmt.editors.ColumnNameEditor"}, 
      {"dataSet",     Res.getString(Res.BI_dataSet), "getDataSet", "setDataSet"},
      {"editInPlace", Res.getString(Res.BI_editInPlace), "isEditInPlace", "setEditInPlace"},
      {"enabled",     Res.getString(Res.BI_enabled), "isEnabled", "setEnabled"},
      {"flat",        Res.getString(Res.BI_flat), "isFlat", "setFlat"},
      {"font",        Res.getString(Res.BI_font), "getFont", "setFont"},
      {"foreground",  Res.getString(Res.BI_foreground), "getForeground", "setForeground"},
      {"imageName",   Res.getString(Res.BI_imageName), "getImageName", "setImageName", borland.jbcl.editors.FileNameEditor.class.getName()},
      {"opaque",      Res.getString(Res.BI_opaque), "isOpaque", "setOpaque"},
      {"showRollover", Res.getString(Res.BI_showRollover), "isShowRollover", "setShowRollover"},
      {"textureName", Res.getString(Res.BI_texture), "getTextureName", "setTextureName", borland.jbcl.editors.FileNameEditor.class.getName()},
      {"toolTipText", Res.getString(Res.BI_toolTipText), "getToolTipText", "setToolTipText"},
      {"visible",     Res.getString(Res.BI_visible), "isVisible", "setVisible"},
    };
  }
}
