/*
 * Copyright (c) 1997-1998 Borland International, Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by Borland as part
 * of a Borland product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of Borland.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD BORLAND, ITS RELATED
 * COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY CLAIMS
 * OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR DISTRIBUTION
 * OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES ARISING OUT OF
 * OR RESULTING FROM THE USE, MODIFICATION, OR DISTRIBUTION OF PROGRAMS
 * OR FILES CREATED FROM, BASED ON, AND/OR DERIVED FROM THIS SOURCE
 * CODE FILE.
 */
//--------------------------------------------------------------------------------------------------
// Copyright (c) 1996-1998 Borland International, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------------------------

package borland.jbcl.control;

import borland.jbcl.util.BasicBeanInfo;

public class ListControlBeanInfo extends BasicBeanInfo implements java.io.Serializable
{
  public ListControlBeanInfo() {
    beanClass = ListControl.class;
    propertyDescriptors = new String[][] {
      {"alignment",     Res.getString(Res.BI_alignment), "getAlignment", "setAlignment", borland.jbcl.editors.AlignmentEditor.class.getName()}, // int
      {"autoAppend",    Res.getString(Res.BI_List_autoAppend), "isAutoAppend", "setAutoAppend"},
      {"autoEdit",      Res.getString(Res.BI_autoEdit), "isAutoEdit", "setAutoEdit"},
      {"autoInsert",    Res.getString(Res.BI_autoInsert), "isAutoInsert", "setAutoInsert"},
      {"background",    Res.getString(Res.BI_background), "getBackground", "setBackground"},
      {"columnName",    Res.getString(Res.BI_columnName), "getColumnName", "setColumnName", "borland.jbuilder.cmt.editors.ColumnNameEditor"}, 
      {"dataSet",       Res.getString(Res.BI_dataSet), "getDataSet", "setDataSet"}, // borland.jbcl.dataset.DataSet
      {"dataToolTip",   Res.getString(Res.BI_dataToolTip), "isDataToolTip", "setDataToolTip"},
      {"doubleBuffered",  Res.getString(Res.BI_doubleBuffered), "isDoubleBuffered", "setDoubleBuffered"},
      {"dragSubfocus",  Res.getString(Res.BI_dragSubfocus), "isDragSubfocus", "setDragSubfocus"},
      {"editInPlace",   Res.getString(Res.BI_editInPlace), "isEditInPlace", "setEditInPlace"},
      {"enabled",       Res.getString(Res.BI_enabled), "isEnabled", "setEnabled"},
      {"font",          Res.getString(Res.BI_font), "getFont", "setFont"},
      {"foreground",    Res.getString(Res.BI_foreground), "getForeground", "setForeground"},
      {"growEditor",    Res.getString(Res.BI_growEditor), "isGrowEditor", "setGrowEditor"},
      {"horizontalScrollBarPolicy", Res.getString(Res.BI_SBPolicy), "getHorizontalScrollBarPolicy", "setHorizontalScrollBarPolicy", borland.jbcl.editors.HorizontalScrollBarPolicyEditor.class.getName()},
      {"itemHeight",    Res.getString(Res.BI_List_itemHeight), "getItemHeight", "setItemHeight"},
      {"itemMargins",   Res.getString(Res.BI_itemMargins), "getItemMargins", "setItemMargins"}, // Insets
      {"items",         Res.getString(Res.BI_items), "getItems", "setItems"}, // String[]
      {"itemWidth",     Res.getString(Res.BI_List_itemWidth), "getItemWidth", "setItemWidth"},
      {"multiSelect",   Res.getString(Res.BI_multiSelect), "isMultiSelect", "setMultiSelect"},
      {"opaque",        Res.getString(Res.BI_opaque), "isOpaque", "setOpaque"},
      {"postOnEndEdit", Res.getString(Res.BI_postOnEndEdit), "isPostOnEndEdit", "setPostOnEndEdit"},
      {"readOnly",      Res.getString(Res.BI_readOnly), "isReadOnly", "setReadOnly"},
      {"showFocus",     Res.getString(Res.BI_showFocus), "isShowFocus", "setShowFocus"},
      {"showRollover",  Res.getString(Res.BI_showRollover), "isShowRollover", "setShowRollover"},
      {"snapOrigin",    Res.getString(Res.BI_snapOrigin), "isSnapOrigin", "setSnapOrigin"},
      {"subfocus",      Res.getString(Res.BI_List_subfocus), "getSubfocus", "setSubfocus"}, // int
      {"textureName",   Res.getString(Res.BI_texture), "getTextureName", "setTextureName", borland.jbcl.editors.FileNameEditor.class.getName()},
      {"toolTipText",   Res.getString(Res.BI_toolTipText), "getToolTipText", "setToolTipText"},
      {"uniformHeight", Res.getString(Res.BI_List_uniformHeight), "isUniformHeight", "setUniformHeight"},
      {"uniformWidth",  Res.getString(Res.BI_List_uniformWidth), "isUniformWidth", "setUniformWidth"},
      {"verticalScrollBarPolicy", Res.getString(Res.BI_SBPolicy), "getVerticalScrollBarPolicy", "setVerticalScrollBarPolicy", borland.jbcl.editors.VerticalScrollBarPolicyEditor.class.getName()},
      {"visible",       Res.getString(Res.BI_visible), "isVisible", "setVisible"},
    };
  }
}
