/*
 * Copyright (c) 1997-1998 Borland International, Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by Borland as part
 * of a Borland product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of Borland.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD BORLAND, ITS RELATED
 * COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY CLAIMS
 * OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR DISTRIBUTION
 * OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES ARISING OUT OF
 * OR RESULTING FROM THE USE, MODIFICATION, OR DISTRIBUTION OF PROGRAMS
 * OR FILES CREATED FROM, BASED ON, AND/OR DERIVED FROM THIS SOURCE
 * CODE FILE.
 */
//--------------------------------------------------------------------------------------------------
// Copyright (c) 1996-1998 Borland International, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------------------------

package borland.jbcl.control;

import borland.jbcl.util.BasicBeanInfo;

public class TransparentImageBeanInfo extends BasicBeanInfo implements java.io.Serializable
{
  public TransparentImageBeanInfo() {
    beanClass = TransparentImage.class;
    propertyDescriptors = new String[][] {
      {"alignment",    Res.getString(Res.BI_alignment), "getAlignment", "setAlignment", borland.jbcl.editors.AlignmentEditor.class.getName()},
      {"background",   Res.getString(Res.BI_background), "getBackground", "setBackground"},
      {"drawEdge",     Res.getString(Res.BI_Shape_drawEdge), "isDrawEdge", "setDrawEdge"},
      {"edgeColor",    Res.getString(Res.BI_Shape_edgeColor), "getEdgeColor", "setEdgeColor"},
      {"transparent",  Res.getString(Res.BI_transparent), "isTransparent", "setTransparent"},
//      {"image",        Res.getString(Res.BI_image), "getImage", "setImage"},
      {"imageName",    Res.getString(Res.BI_imageName), "getImageName", "setImageName", borland.jbcl.editors.FileNameEditor.class.getName()},
//      {"imageURL",     Res.getString(Res.BI_imageURL), "getImageURL", "setImageURL"},
      {"visible",      Res.getString(Res.BI_visible), "isVisible", "setVisible"},
    };
  }
}
