/*
 * Copyright (c) 1997-1998 Borland International, Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by Borland as part
 * of a Borland product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of Borland.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD BORLAND, ITS RELATED
 * COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY CLAIMS
 * OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR DISTRIBUTION
 * OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES ARISING OUT OF
 * OR RESULTING FROM THE USE, MODIFICATION, OR DISTRIBUTION OF PROGRAMS
 * OR FILES CREATED FROM, BASED ON, AND/OR DERIVED FROM THIS SOURCE
 * CODE FILE.
 */
//--------------------------------------------------------------------------------------------------
// Copyright (c) 1996-1998 Borland International, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------------------------

package borland.jbcl.control;

import borland.jbcl.util.BasicBeanInfo;

public class TreeControlBeanInfo extends BasicBeanInfo implements java.io.Serializable
{
  public TreeControlBeanInfo() {
    beanClass = TreeControl.class;
    propertyDescriptors = new String[][] {
      {"autoEdit",        Res.getString(Res.BI_autoEdit), "isAutoEdit", "setAutoEdit"},
      {"background",      Res.getString(Res.BI_background), "getBackground", "setBackground"},
      {"boxSize",         Res.getString(Res.BI_Tree_boxSize), "getBoxSize", "setBoxSize"},
      {"dataToolTip",     Res.getString(Res.BI_dataToolTip), "isDataToolTip", "setDataToolTip"},
      {"doubleBuffered",  Res.getString(Res.BI_doubleBuffered), "isDoubleBuffered", "setDoubleBuffered"},
      {"dragSubfocus",    Res.getString(Res.BI_dragSubfocus), "isDragSubfocus", "setDragSubfocus"},
      {"editInPlace",     Res.getString(Res.BI_editInPlace), "isEditInPlace", "setEditInPlace"},
      {"enabled",         Res.getString(Res.BI_enabled), "isEnabled", "setEnabled"},
      {"expandByDefault", Res.getString(Res.BI_Tree_expandByDefault), "isExpandByDefault", "setExpandByDefault"},
      {"font",            Res.getString(Res.BI_font), "getFont", "setFont"},
      {"foreground",      Res.getString(Res.BI_foreground), "getForeground", "setForeground"},
      {"growEditor",      Res.getString(Res.BI_growEditor), "isGrowEditor", "setGrowEditor"},
      {"hIndent",         Res.getString(Res.BI_hIndent), "getHIndent", "setHIndent"},
      {"horizontalScrollBarPolicy", Res.getString(Res.BI_SBPolicy), "getHorizontalScrollBarPolicy", "setHorizontalScrollBarPolicy", borland.jbcl.editors.HorizontalScrollBarPolicyEditor.class.getName()},
      {"hSnap",           Res.getString(Res.BI_Tree_hSnap), "isHSnap", "setHSnap"},
      {"itemMargins",     Res.getString(Res.BI_itemMargins), "getItemMargins", "setItemMargins"},
      {"itemOffset",      Res.getString(Res.BI_Tree_itemOffset), "getItemOffset", "setItemOffset"},
      {"items",           Res.getString(Res.BI_items), "getItems", "setItems", borland.jbcl.editors.TreeItemsEditor.class.getName()},
      {"leftMargin",      Res.getString(Res.BI_leftMargin), "getLeftMargin", "setLeftMargin"},
      {"opaque",          Res.getString(Res.BI_opaque), "isOpaque", "setOpaque"},
      {"showRollover",    Res.getString(Res.BI_showRollover), "isShowRollover", "setShowRollover"},
      {"readOnly",        Res.getString(Res.BI_readOnly), "isReadOnly", "setReadOnly"},
      {"showFocus",       Res.getString(Res.BI_showFocus), "isShowFocus", "setShowFocus"},
      {"snapOrigin",      Res.getString(Res.BI_snapOrigin), "isSnapOrigin", "setSnapOrigin"},
      {"style",           Res.getString(Res.BI_Tree_style), "getStyle", "setStyle", borland.jbcl.editors.TreeStyleEditor.class.getName()},
      {"textureName",     Res.getString(Res.BI_texture), "getTextureName", "setTextureName", borland.jbcl.editors.FileNameEditor.class.getName()},
      {"toolTipText",     Res.getString(Res.BI_toolTipText), "getToolTipText", "setToolTipText"},
      {"topMargin",       Res.getString(Res.BI_topMargin), "getTopMargin", "setTopMargin"},
      {"verticalScrollBarPolicy", Res.getString(Res.BI_SBPolicy), "getVerticalScrollBarPolicy", "setVerticalScrollBarPolicy", borland.jbcl.editors.VerticalScrollBarPolicyEditor.class.getName()},
      {"visible",         Res.getString(Res.BI_visible), "isVisible", "setVisible"},
      {"vgap",            Res.getString(Res.BI_vgap), "getVgap", "setVgap"},
    };
  }
}
