/*
 * Copyright (c) 1997-1998 Borland International, Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by Borland as part
 * of a Borland product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of Borland.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD BORLAND, ITS RELATED
 * COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY CLAIMS
 * OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR DISTRIBUTION
 * OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES ARISING OUT OF
 * OR RESULTING FROM THE USE, MODIFICATION, OR DISTRIBUTION OF PROGRAMS
 * OR FILES CREATED FROM, BASED ON, AND/OR DERIVED FROM THIS SOURCE
 * CODE FILE.
 */
//--------------------------------------------------------------------------------------------------
// Copyright (c) 1996-1998 Borland International, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------------------------

package borland.jbcl.view;

import java.awt.*;
import borland.jbcl.model.*;

/**
 * @DEPRECATED
 * This ItemPainter has been replaced by two nested ItemPainters: SelectableItemPainter
 * and TextItemPainter.  The new classes should be used as follows:
 * OLD CODE: ... new SelectableTextItemPainter(arg1, arg2, ...) ...
 * NEW CODE: ... new SelectableItemPainter(new TextItemPainter(arg1, arg2, ...)) ...
 */
public class SelectableTextItemPainter extends SelectableItemPainter implements java.io.Serializable
{
  /**
   * @DEPRECATED
   * (replaced by SelectableItemPainter with a nested TextItemPainter)
   * Constructs a SelectableTextItemPainter with the default settings.
   */
  public SelectableTextItemPainter() {
    super(new TextItemPainter());
  }

  /**
   * @DEPRECATED
   * (replaced by SelectableItemPainter with a nested TextItemPainter)
   * Constructs a SelectableTextItemPainter with passed alignment setting.
   */
  public SelectableTextItemPainter(int alignment) {
    super(new TextItemPainter(alignment));
  }

  /**
   * @DEPRECATED
   * (replaced by SelectableItemPainter with a nested TextItemPainter)
   * Constructs a SelectableTextItemPainter with alignment and margins settings.
   */
  public SelectableTextItemPainter(int alignment, Insets margins) {
    super(new TextItemPainter(alignment, margins));
  }

  /**
   * @DEPRECATED
   * (replaced by SelectableItemPainter with a nested TextItemPainter)
   * Constructs a SelectableTextItemPainter with passed settings.
   */
  public SelectableTextItemPainter(int alignment, Insets margins, ItemFormatter formatter) {
    super(new TextItemPainter(alignment, margins, formatter));
  }
}
