/*
 * Copyright (c) 1997-1998 Borland International, Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by Borland as part
 * of a Borland product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of Borland.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD BORLAND, ITS RELATED
 * COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY CLAIMS
 * OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR DISTRIBUTION
 * OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES ARISING OUT OF
 * OR RESULTING FROM THE USE, MODIFICATION, OR DISTRIBUTION OF PROGRAMS
 * OR FILES CREATED FROM, BASED ON, AND/OR DERIVED FROM THIS SOURCE
 * CODE FILE.
 */
package borland.dbswing;

import com.sun.java.swing.table.*;
import com.sun.java.swing.*;
import com.sun.java.swing.event.*;
import java.awt.*;
import java.util.Vector;
import java.util.Enumeration;
import borland.jbcl.dataset.*;

public class dbTableColumnModel extends DefaultTableColumnModel
{
  public dbTableColumnModel(DataSet dataSet) {
    super();
    this.dataSet = dataSet;
    generateTableColumns();
  }

  public boolean getColumnSelectionAllowed() {
    return false;
  }

  void generateTableColumns() {
    Column[] cols = dataSet.getColumns();
    for (int i = 0; i < cols.length; i++) {
      if (!cols[i].isHidden()) {
        TableColumn tc = new TableColumn(cols[i].getOrdinal());
        tc.setIdentifier(cols[i]);
        tc.setHeaderValue(cols[i].getCaption());
        addColumn(tc);
      }
    }
  }

  protected DataSet dataSet;
/*
  fireColumnAdded(TableColumnModelEvent e) {
  fireColumnRemoved(TableColumnModelEvent e) {
  fireColumnMoved(TableColumnModelEvent e) {
  fireColumnSelectionChanged(ListSelectionEvent e) {
  fireColumnMarginChanged() {
*/
}

