/*
 * Copyright (c) 1997-1998 Borland International, Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by Borland as part
 * of a Borland product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of Borland.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD BORLAND, ITS RELATED
 * COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY CLAIMS
 * OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR DISTRIBUTION
 * OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES ARISING OUT OF
 * OR RESULTING FROM THE USE, MODIFICATION, OR DISTRIBUTION OF PROGRAMS
 * OR FILES CREATED FROM, BASED ON, AND/OR DERIVED FROM THIS SOURCE
 * CODE FILE.
 */
//--------------------------------------------------------------------------------------------------
// Copyright (c) 1996-1998 Borland International, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------------------------

package borland.jbcl.control;

import borland.jbcl.util.BasicBeanInfo;

public class ButtonBarBeanInfo extends BasicBeanInfo implements java.io.Serializable
{
  public ButtonBarBeanInfo() {
    beanClass = ButtonBar.class;
    propertyDescriptors = new String[][] {
      {"alignment",         Res.getString(Res.BI_ButtonBar_alignment), "getAlignment", "setAlignment", borland.jbcl.editors.FlowAlignmentEditor.class.getName()}, // int
      {"background",        Res.getString(Res.BI_background), "getBackground", "setBackground"},
      {"bevelInner",        Res.getString(Res.BI_BevelPanel_bevelInner), "getBevelInner", "setBevelInner", borland.jbcl.editors.BevelTypeEditor.class.getName()}, // int
      {"bevelOuter",        Res.getString(Res.BI_BevelPanel_bevelOuter), "getBevelOuter", "setBevelOuter", borland.jbcl.editors.BevelTypeEditor.class.getName()}, // int
      {"buttonAlignment",   Res.getString(Res.BI_alignment), "getButtonAlignment", "setButtonAlignment", borland.jbcl.editors.AlignmentEditor.class.getName()}, // int
      {"buttonOrientation", Res.getString(Res.BI_orientation), "getButtonOrientation", "setButtonOrientation", borland.jbcl.editors.OrientationEditor.class.getName()}, // int
      {"buttonType",        Res.getString(Res.BI_ButtonBar_buttonType), "getButtonType", "setButtonType", borland.jbcl.editors.ButtonBarButtonTypeEditor.class.getName()}, // int
      {"enabled",           Res.getString(Res.BI_enabled), "isEnabled", "setEnabled"},
      {"font",              Res.getString(Res.BI_font), "getFont", "setFont"},
      {"foreground",        Res.getString(Res.BI_foreground), "getForeground", "setForeground"},
      {"hgap",              Res.getString(Res.BI_hgap), "getHgap", "setHgap"},
      {"imageBase",         Res.getString(Res.BI_ButtonBar_imageBase), "getImageBase", "setImageBase", borland.jbcl.editors.DirectoryEditor.class.getName()}, // String
      {"imageFirst",        Res.getString(Res.BI_ButtonControl_imageFirst), "isImageFirst", "setImageFirst"},
      {"imageNames",        Res.getString(Res.BI_ButtonBar_imageNames), "getImageNames", "setImageNames"}, // String[]
      {"labels",            Res.getString(Res.BI_ButtonBar_labels), "getLabels", "setLabels"}, // String[]
//      {"layout",            Res.getString(Res.BI_layout), "getLayout", "setLayout"},
      {"margins",           Res.getString(Res.BI_margins), "getMargins", "setMargins"}, // Insets
      {"opaque",            Res.getString(Res.BI_opaque), "isOpaque", "setOpaque"},
      {"showRollover",      Res.getString(Res.BI_showRollover), "isShowRollover", "setShowRollover"},
      {"soft",              Res.getString(Res.BI_BevelPanel_soft), "isSoft", "setSoft"},
      {"textureName",       Res.getString(Res.BI_texture), "getTextureName", "setTextureName", borland.jbcl.editors.FileNameEditor.class.getName()},
      {"toolTipText",       Res.getString(Res.BI_toolTipText), "getToolTipText", "setToolTipText"},
      {"visible",           Res.getString(Res.BI_visible), "isVisible", "setVisible"},
      {"vgap",              Res.getString(Res.BI_vgap), "getVgap", "setVgap"},
    };
  }
}
