/*
 * Copyright (c) 1997-1998 Borland International, Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by Borland as part
 * of a Borland product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of Borland.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD BORLAND, ITS RELATED
 * COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY CLAIMS
 * OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR DISTRIBUTION
 * OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES ARISING OUT OF
 * OR RESULTING FROM THE USE, MODIFICATION, OR DISTRIBUTION OF PROGRAMS
 * OR FILES CREATED FROM, BASED ON, AND/OR DERIVED FROM THIS SOURCE
 * CODE FILE.
 */
//--------------------------------------------------------------------------------------------------
// Copyright (c) 1996-1998 Borland International, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------------------------

package borland.jbcl.control;

import borland.jbcl.util.BasicBeanInfo;

public class DecoratedFrameBeanInfo extends BasicBeanInfo implements java.io.Serializable
{
  public DecoratedFrameBeanInfo() {
    beanClass = DecoratedFrame.class;
    propertyDescriptors = new String[][] {
      {"background",    Res.getString(Res.BI_background), "getBackground", "setBackground"},
      {"disposeOnClose", Res.getString(Res.BI_DecFrame_disposeOnClose), "isDisposeOnClose", "setDisposeOnClose"},
      {"enabled",       Res.getString(Res.BI_enabled), "isEnabled", "setEnabled"},
      {"exitOnClose",   Res.getString(Res.BI_DecFrame_exitOnClose), "isExitOnClose", "setExitOnClose"},
      {"font",          Res.getString(Res.BI_font), "getFont", "setFont"},
      {"foreground",    Res.getString(Res.BI_foreground), "getForeground", "setForeground"},
      {"iconImageName", Res.getString(Res.BI_imageName), "getIconImageName", "setIconImageName", borland.jbcl.editors.FileNameEditor.class.getName()},
      {"iconImageURL",  Res.getString(Res.BI_imageURL), "getIconImageURL", "setIconImageURL"},
      {"layout",        Res.getString(Res.BI_layout), "getLayout", "setLayout"},
      {"menuBar",       Res.getString(Res.BI_DecFrame_menuBar), "getMenuBar", "setMenuBar"},
      {"resizable",     Res.getString(Res.BI_resizable), "isResizable", "setResizable"},
      {"size",          Res.getString(Res.BI_size), "getSize", "setSize"},
      {"title",         Res.getString(Res.BI_title), "getTitle", "setTitle"},
      {"visible",       Res.getString(Res.BI_visible), "isVisible", "setVisible"},
    };
  }
}
