/*
 * Copyright (c) 1997-1998 Borland International, Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by Borland as part
 * of a Borland product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of Borland.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD BORLAND, ITS RELATED
 * COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY CLAIMS
 * OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR DISTRIBUTION
 * OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES ARISING OUT OF
 * OR RESULTING FROM THE USE, MODIFICATION, OR DISTRIBUTION OF PROGRAMS
 * OR FILES CREATED FROM, BASED ON, AND/OR DERIVED FROM THIS SOURCE
 * CODE FILE.
 */

package borland.jbcl.editors;

public class AlignmentEditor extends IntegerTagEditor
{
  public AlignmentEditor() {
    super(new int[] {
            borland.jbcl.util.Alignment.LEFT | borland.jbcl.util.Alignment.TOP,
            borland.jbcl.util.Alignment.LEFT | borland.jbcl.util.Alignment.MIDDLE,
            borland.jbcl.util.Alignment.LEFT | borland.jbcl.util.Alignment.BOTTOM,
            borland.jbcl.util.Alignment.LEFT | borland.jbcl.util.Alignment.VSTRETCH,
            borland.jbcl.util.Alignment.CENTER | borland.jbcl.util.Alignment.TOP,
            borland.jbcl.util.Alignment.CENTER | borland.jbcl.util.Alignment.MIDDLE,
            borland.jbcl.util.Alignment.CENTER | borland.jbcl.util.Alignment.BOTTOM,
            borland.jbcl.util.Alignment.CENTER | borland.jbcl.util.Alignment.VSTRETCH,
            borland.jbcl.util.Alignment.RIGHT | borland.jbcl.util.Alignment.TOP,
            borland.jbcl.util.Alignment.RIGHT | borland.jbcl.util.Alignment.MIDDLE,
            borland.jbcl.util.Alignment.RIGHT | borland.jbcl.util.Alignment.BOTTOM,
            borland.jbcl.util.Alignment.RIGHT | borland.jbcl.util.Alignment.VSTRETCH,
            borland.jbcl.util.Alignment.HSTRETCH | borland.jbcl.util.Alignment.TOP,
            borland.jbcl.util.Alignment.HSTRETCH | borland.jbcl.util.Alignment.MIDDLE,
            borland.jbcl.util.Alignment.HSTRETCH | borland.jbcl.util.Alignment.BOTTOM,
            borland.jbcl.util.Alignment.HSTRETCH | borland.jbcl.util.Alignment.VSTRETCH},
          new String[] {
            Res.getString(Res.LeftTop),
            Res.getString(Res.LeftMiddle),
            Res.getString(Res.LeftBottom),
            Res.getString(Res.LeftVStretch),
            Res.getString(Res.CenterTop),
            Res.getString(Res.CenterMiddle),
            Res.getString(Res.CenterBottom),
            Res.getString(Res.CenterVStretch),
            Res.getString(Res.RightTop),
            Res.getString(Res.RightMiddle),
            Res.getString(Res.RightBottom),
            Res.getString(Res.RightVStretch),
            Res.getString(Res.HStretchTop),
            Res.getString(Res.HStretchMiddle),
            Res.getString(Res.HStretchBottom),
            Res.getString(Res.HStretchVStretch)},
          new String[] {
            "borland.jbcl.util.Alignment.LEFT | borland.jbcl.util.Alignment.TOP",         // NORES
            "borland.jbcl.util.Alignment.LEFT | borland.jbcl.util.Alignment.MIDDLE",      // NORES
            "borland.jbcl.util.Alignment.LEFT | borland.jbcl.util.Alignment.BOTTOM",      // NORES
            "borland.jbcl.util.Alignment.LEFT | borland.jbcl.util.Alignment.VSTRETCH",    // NORES
            "borland.jbcl.util.Alignment.CENTER | borland.jbcl.util.Alignment.TOP",       // NORES
            "borland.jbcl.util.Alignment.CENTER | borland.jbcl.util.Alignment.MIDDLE",    // NORES
            "borland.jbcl.util.Alignment.CENTER | borland.jbcl.util.Alignment.BOTTOM",    // NORES
            "borland.jbcl.util.Alignment.CENTER | borland.jbcl.util.Alignment.VSTRETCH",  // NORES
            "borland.jbcl.util.Alignment.RIGHT | borland.jbcl.util.Alignment.TOP",        // NORES
            "borland.jbcl.util.Alignment.RIGHT | borland.jbcl.util.Alignment.MIDDLE",     // NORES
            "borland.jbcl.util.Alignment.RIGHT | borland.jbcl.util.Alignment.BOTTOM",     // NORES
            "borland.jbcl.util.Alignment.RIGHT | borland.jbcl.util.Alignment.VSTRETCH",   // NORES
            "borland.jbcl.util.Alignment.HSTRETCH | borland.jbcl.util.Alignment.TOP",     // NORES
            "borland.jbcl.util.Alignment.HSTRETCH | borland.jbcl.util.Alignment.MIDDLE",  // NORES
            "borland.jbcl.util.Alignment.HSTRETCH | borland.jbcl.util.Alignment.BOTTOM",  // NORES
            "borland.jbcl.util.Alignment.HSTRETCH | borland.jbcl.util.Alignment.VSTRETCH"}); // NORES
  }
}
