/*
 * Copyright (c) 1997-1998 Borland International, Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by Borland as part
 * of a Borland product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of Borland.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD BORLAND, ITS RELATED
 * COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY CLAIMS
 * OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR DISTRIBUTION
 * OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES ARISING OUT OF
 * OR RESULTING FROM THE USE, MODIFICATION, OR DISTRIBUTION OF PROGRAMS
 * OR FILES CREATED FROM, BASED ON, AND/OR DERIVED FROM THIS SOURCE
 * CODE FILE.
 */
package borland.jbcl.editors;

public class ShapeTypeEditor extends IntegerTagEditor
{
  public ShapeTypeEditor() {
    super(new int[] {
            borland.jbcl.control.ShapeControl.RECTANGLE,
            borland.jbcl.control.ShapeControl.SQUARE,
            borland.jbcl.control.ShapeControl.ROUND_RECT,
            borland.jbcl.control.ShapeControl.ROUND_SQUARE,
            borland.jbcl.control.ShapeControl.ELLIPSE,
            borland.jbcl.control.ShapeControl.CIRCLE,
            borland.jbcl.control.ShapeControl.HORZ_LINE,
            borland.jbcl.control.ShapeControl.VERT_LINE,
            borland.jbcl.control.ShapeControl.POS_SLOPE_LINE,
            borland.jbcl.control.ShapeControl.NEG_SLOPE_LINE},
          new String[] {
            Res.getString(Res.Rectangle),
            Res.getString(Res.Square),
            Res.getString(Res.RoundRect),
            Res.getString(Res.RoundSquare),
            Res.getString(Res.Ellipse),
            Res.getString(Res.Circle),
            Res.getString(Res.HorzLine),
            Res.getString(Res.VertLine),
            Res.getString(Res.PosSlopeLine),
            Res.getString(Res.NegSlopeLine)},
          new String[] {
            "ShapeControl.RECTANGLE",        // NORES
            "ShapeControl.SQUARE",           // NORES
            "ShapeControl.ROUND_RECT",       // NORES
            "ShapeControl.ROUND_SQUARE",     // NORES
            "ShapeControl.ELLIPSE",          // NORES
            "ShapeControl.CIRCLE",           // NORES
            "ShapeControl.HORZ_LINE",        // NORES
            "ShapeControl.VERT_LINE",        // NORES
            "ShapeControl.POS_SLOPE_LINE",   // NORES
            "ShapeControl.NEG_SLOPE_LINE"}); // NORES
  }
}
