/*
 * @(#)OrganicDirectoryPaneUI.java	1.4 98/02/03
 * 
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 */

package com.sun.java.swing.plaf.organic;

import com.sun.java.swing.*;
import com.sun.java.swing.preview.*;
import com.sun.java.swing.preview.JDirectoryPane;
import com.sun.java.swing.event.*;
import com.sun.java.swing.plaf.*;
import java.awt.*;
import java.awt.event.*;
import java.beans.*;
import java.io.File;
import java.util.*;

import com.sun.java.swing.plaf.basic.BasicDirectoryPaneUI;

/**
 * A Java L&F implementation of DirectoryPaneUI.  
 *
 * @version 1.4 02/03/98
 * @author Ray Ryan
 * @author Steve Wilson
 */
public class OrganicDirectoryPaneUI extends BasicDirectoryPaneUI {
  
    public static ComponentUI createUI(JComponent c) {
        return new OrganicDirectoryPaneUI((JDirectoryPane)c);
    }

    public OrganicDirectoryPaneUI(JDirectoryPane b) {
        super(b);
    }
            
    /**
     * If necessary, create this UI's list and scroller.
     * Put a BorderLayout in the component. Add the
     * scroller to the "Center".  Establish listeners.
     */
    public void installUI(JComponent c) {
        super.installUI(c);
    }   

    public void uninstallUI(JComponent c) {
        super.uninstallUI(c);
    }
    


   /* public static class OrganicDirectoryCellRenderer extends 
                         BasicDirectoryPaneUI.BasicDirectoryCellRenderer  {

     

  public Component getListCellRendererComponent(
        JList list, 
	Object value,
        int index, 
        boolean isSelected, 
        boolean cellHasFocus)
    {
        super.getListCellRendererComponent(list, value, index,
					   isSelected, cellHasFocus);
	if (isSelected) {
	    setBackground( OrganicUtilities.Khaki1 );
	    setForeground( OrganicUtilities.controlBlack );
	}
	else {
	    setBackground( OrganicUtilities.Cream );
	    setForeground( OrganicUtilities.controlBlack );
	}

	return this;
    }
    }*/
}
